Loading...
Searching...
No Matches
itk::ParabolicErodeImageFilter< TInputImage, TOutputImage > Class Template Reference

`#include <itkParabolicErodeImageFilter.h>`

## Detailed Description

template<typename TInputImage, typename TOutputImage = TInputImage>
class itk::ParabolicErodeImageFilter< TInputImage, TOutputImage >

Class for morphological erosion operations with parabolic structuring elements.

This filter doesn't use the erode/dilate classes directly so that multiple image copies aren't necessary.

This filter is threaded.

See also
  itkParabolicErodeDilateImageFilter

Author
  Richard Beare, Department of Medicine, Monash University, Australia. Richa.nosp@m.rd.B.nosp@m.eare@.nosp@m.med..nosp@m.monas.nosp@m.h.ed.nosp@m.u.au

Definition at line 42 of file itkParabolicErodeImageFilter.h.

Inheritance diagram for itk::ParabolicErodeImageFilter< TInputImage, TOutputImage >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | InputImageConstPointer = typename TInputImage::ConstPointer
using | InputImagePointer = typename TInputImage::Pointer
using | InputImageType = TInputImage
using | OutputImageType = TOutputImage
using | OutputPixelType = typename TOutputImage::PixelType
using | Pointer = SmartPointer<Self>
using | RadiusType = typename itk::FixedArray<ScalarRealType, TInputImage::ImageDimension>
using | RealType = typename NumericTraits<PixelType>::RealType
using | ScalarRealType = typename NumericTraits<PixelType>::ScalarRealType
using | Self = ParabolicErodeImageFilter
using | Superclass = ParabolicErodeDilateImageFilter<TInputImage, false, TOutputImage>
Public Types inherited from itk::ParabolicErodeDilateImageFilter< TInputImage, false, TInputImage >
using | ConstPointer
using | InputImageConstPointer
using | InputImagePointer
using | InputImageType
using | InputSizeType
using | InternalRealType
using | OutputImageRegionType
using | OutputImageType
using | OutputPixelType
using | OutputSizeType
using | Pointer
using | RadiusType
using | RealType
using | ScalarRealType
using | Self
using | Superclass

## Public Member Functions

virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (ParabolicErodeImageFilter)
| itkStaticConstMacro (ImageDimension, unsigned int, TInputImage::ImageDimension)
Public Member Functions inherited from itk::ParabolicErodeDilateImageFilter< TInputImage, false, TInputImage >
virtual const RadiusType & | GetScale ()
virtual const bool & | GetUseImageSpacing ()
| ITK_DISALLOW_COPY_AND_MOVE (ParabolicErodeDilateImageFilter)
| itkStaticConstMacro (ImageDimension, unsigned int, TInputImage::ImageDimension)
void | SetScale (ScalarRealType scale)
virtual void | SetUseImageSpacing (bool _arg)
virtual void | UseImageSpacingOff ()
virtual void | UseImageSpacingOn ()

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from itk::ParabolicErodeDilateImageFilter< TInputImage, false, TInputImage >
static Pointer | New ()

## Protected Member Functions

| ParabolicErodeImageFilter ()=default
| ~ParabolicErodeImageFilter () override=default
Protected Member Functions inherited from itk::ParabolicErodeDilateImageFilter< TInputImage, false, TInputImage >
void | EnlargeOutputRequestedRegion (DataObject *output) override
void | GenerateData () override
| ParabolicErodeDilateImageFilter ()
void | PrintSelf (std::ostream &os, Indent indent) const override
unsigned int | SplitRequestedRegion (unsigned int i, unsigned int num, OutputImageRegionType &splitRegion) override
void | ThreadedGenerateData (const OutputImageRegionType &outputRegionForThread, ThreadIdType threadId) override
| ~ParabolicErodeDilateImageFilter () override=default

## Additional Inherited Members

Protected Attributes inherited from itk::ParabolicErodeDilateImageFilter< TInputImage, false, TInputImage >
bool | m_UseImageSpacing

## Member Typedef Documentation

## ConstPointer

template<typename TInputImage, typename TOutputImage = TInputImage>

using itk::ParabolicErodeImageFilter< TInputImage, TOutputImage >::ConstPointer = SmartPointer<const Self>

Definition at line 53 of file itkParabolicErodeImageFilter.h.

## InputImageConstPointer

template<typename TInputImage, typename TOutputImage = TInputImage>

using itk::ParabolicErodeImageFilter< TInputImage, TOutputImage >::InputImageConstPointer = typename TInputImage::ConstPointer

Definition at line 71 of file itkParabolicErodeImageFilter.h.

## InputImagePointer

template<typename TInputImage, typename TOutputImage = TInputImage>

using itk::ParabolicErodeImageFilter< TInputImage, TOutputImage >::InputImagePointer = typename TInputImage::Pointer

Smart pointer typedef support.

Definition at line 70 of file itkParabolicErodeImageFilter.h.

## InputImageType

template<typename TInputImage, typename TOutputImage = TInputImage>

using itk::ParabolicErodeImageFilter< TInputImage, TOutputImage >::InputImageType = TInputImage

Pixel Type of the input image

Definition at line 62 of file itkParabolicErodeImageFilter.h.

## OutputImageType

template<typename TInputImage, typename TOutputImage = TInputImage>

using itk::ParabolicErodeImageFilter< TInputImage, TOutputImage >::OutputImageType = TOutputImage

Definition at line 63 of file itkParabolicErodeImageFilter.h.

## OutputPixelType

template<typename TInputImage, typename TOutputImage = TInputImage>

using itk::ParabolicErodeImageFilter< TInputImage, TOutputImage >::OutputPixelType = typename TOutputImage::PixelType

Definition at line 67 of file itkParabolicErodeImageFilter.h.

## Pointer

template<typename TInputImage, typename TOutputImage = TInputImage>

using itk::ParabolicErodeImageFilter< TInputImage, TOutputImage >::Pointer = SmartPointer<Self>

Definition at line 52 of file itkParabolicErodeImageFilter.h.

## RadiusType

template<typename TInputImage, typename TOutputImage = TInputImage>

using itk::ParabolicErodeImageFilter< TInputImage, TOutputImage >::RadiusType = typename itk::FixedArray<ScalarRealType, TInputImage::ImageDimension>

a type to represent the "kernel radius"

Definition at line 74 of file itkParabolicErodeImageFilter.h.

## RealType

template<typename TInputImage, typename TOutputImage = TInputImage>

using itk::ParabolicErodeImageFilter< TInputImage, TOutputImage >::RealType = typename NumericTraits<PixelType>::RealType

Definition at line 65 of file itkParabolicErodeImageFilter.h.

## ScalarRealType

template<typename TInputImage, typename TOutputImage = TInputImage>

using itk::ParabolicErodeImageFilter< TInputImage, TOutputImage >::ScalarRealType = typename NumericTraits<PixelType>::ScalarRealType

Definition at line 66 of file itkParabolicErodeImageFilter.h.

## Self

template<typename TInputImage, typename TOutputImage = TInputImage>

using itk::ParabolicErodeImageFilter< TInputImage, TOutputImage >::Self = ParabolicErodeImageFilter

Standard class typedefs.

Definition at line 50 of file itkParabolicErodeImageFilter.h.

## Superclass

template<typename TInputImage, typename TOutputImage = TInputImage>

using itk::ParabolicErodeImageFilter< TInputImage, TOutputImage >::Superclass = ParabolicErodeDilateImageFilter<TInputImage, false, TOutputImage>

Definition at line 51 of file itkParabolicErodeImageFilter.h.

## Constructor & Destructor Documentation

## ParabolicErodeImageFilter()

template<typename TInputImage, typename TOutputImage = TInputImage>

itk::ParabolicErodeImageFilter< TInputImage, TOutputImage >::ParabolicErodeImageFilter | ( |  | ) |

protected default

Define the image type for internal computations RealType is usually 'double' in NumericTraits. Here we prefer float in order to save memory.

## ~ParabolicErodeImageFilter()

template<typename TInputImage, typename TOutputImage = TInputImage>

itk::ParabolicErodeImageFilter< TInputImage, TOutputImage >::~ParabolicErodeImageFilter | ( |  | ) |

override protected default

## Member Function Documentation

## GetClassName()

template<typename TInputImage, typename TOutputImage = TInputImage>

virtual const char * itk::ParabolicErodeImageFilter< TInputImage, TOutputImage >::GetClassName | ( |  | ) | const

virtual

Runtime information support.

Reimplemented from itk::ParabolicErodeDilateImageFilter< TInputImage, false, TInputImage >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename TInputImage, typename TOutputImage = TInputImage>

itk::ParabolicErodeImageFilter< TInputImage, TOutputImage >::ITK_DISALLOW_COPY_AND_MOVE | ( | ParabolicErodeImageFilter< TInputImage, TOutputImage > |  | ) |

## itkStaticConstMacro()

template<typename TInputImage, typename TOutputImage = TInputImage>

itk::ParabolicErodeImageFilter< TInputImage, TOutputImage >::itkStaticConstMacro | ( | ImageDimension | ,
|  | unsigned int | ,
|  | TInputImage::ImageDimension | )

Image dimension.

## New()

template<typename TInputImage, typename TOutputImage = TInputImage>

Pointer itk::ParabolicErodeImageFilter< TInputImage, TOutputImage >::New | ( |  | ) |

static

Method for creation through the object factory.

Generated on 1768596610 for elastix by 1.15.0 |